﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ThinkGeo.MapSuite.Core;

namespace LoadShapefile
{
    class Program
    {
        static void Main(string[] args)
        {
            ShapeFileFeatureLayer shape = new ShapeFileFeatureLayer(@"../../../SampleShape/OutputTest.shp");

            shape.Open();
            Collection<Feature> allFeatures = shape.FeatureSource.GetAllFeatures(ReturningColumnsType.AllColumns);

            foreach (Feature feature in allFeatures)
            {
                string msg = string.Empty;
                foreach (KeyValuePair<string, string> col in feature.ColumnValues)
	            {
                    msg += string.Format("Name: {0}, Value {1}\n", col.Key, col.Value);
	            }

                Console.WriteLine(msg);
                Console.WriteLine("\n");
                
            }

        }
    }
}
